/*
 * #%L
 * *********************************************************************************************************************
 * 
 * These Foolish Things - Miscellaneous utilities
 * http://thesefoolishthings.java.net - hg clone https://bitbucket.org/tidalwave/thesefoolishthings-src
 * %%
 * Copyright (C) 2009 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id: IdXStreamConverter.java,v e7e97a14be7c 2013/02/16 19:44:07 fabrizio $
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.thesefoolishthings.examples.dci.marshal.xstream;

import it.tidalwave.util.Id;
import com.thoughtworks.xstream.converters.SingleValueConverter;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: IdXStreamConverter.java,v e7e97a14be7c 2013/02/16 19:44:07 fabrizio $
 *
 **********************************************************************************************************************/
class IdXStreamConverter implements SingleValueConverter
  {
    @Override
    public String toString (final Object object)
      {
        return ((Id)object).stringValue();
      }

    @Override
    public Object fromString (final String string)
      {
        return new Id(string);
      }

    @Override
    public boolean canConvert (final Class type)
      {
        return type.equals(Id.class);
      }
  }
